{% extends 'base.html' %}
{% load static %}


<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>
    {% block title %}Scrumptious Recipes{% endblock title %}
  </title>
  </head>
<body>
{% block content %}
  <header>
    <nav>
      <a href="{% url "recipe_list" %}">Main page</a>
      <a href="{% url "create_recipe" %}" class="special-link">Salt and Pepper Mode</a>
      {% if user.is_authenticated %}
        Hello, {{ user.username }}
        <a href="{% url 'user_logout' %}">Logout</a>
      {% else %}
        <a href="{% url 'signup' %}">Sign up!</a>
        <a href="{% url 'user_login' %}">Login</a>
      {% endif %}
    </nav>
  </header>
  <main>
    <h1>Fundamental Feasts</h1>
    <h2>
    Want to learn how to cook in a fun and exciting way?<br>
    Check out our Fundamental Feasts below...<br>


    Bored of the same old recipes? Create your own feast, or try our unique 'roll the dice' 🎲🎲🎲 feature!<br>

    </h2>
    <div class="recipe-grid">
      {% for recipe in recipe_list %}
        <div>
            <h3>
                <a href="{% url 'show_recipe' recipe.id %}">{{ recipe.title }}</a>
            </h3>
        <img src="{{ recipe.picture }}">
    </div>

      {% endfor %}

    </div>
  </main>
{% endblock content %}
</body>
</html>
